<div class="col-8 offset-2 mt-4">
  <h2>{{pageTitle}}</h2>
  <hr>
  <form #newPostForm="ngForm" (ngSubmit)="onSubmit()" class="col-6">
    <div [ngClass]="status=='success'?'alert alert-success':'alert alert-danger'" *ngIf="message">{{message}}</div>
    <div class="form-group">
      <label for="title">Título: </label>
      <input type="text" id="title" name="title" #title="ngModel" [(ngModel)]="post.title" class="form-control" required>
      <div class="invalid-feedback d-block" *ngIf="title.invalid && title.touched">El título no es válido</div>
    </div>
    <div class="form-group">
        <label for="category">Categoría: </label>
        <select name="category" id="category" #category="ngModel" [(ngModel)]="post.category" required>
          <option value="{{cat.id}}" *ngFor="let cat of categories">{{cat.name}}</option>
        </select>
    </div>
    <div class="form-group">
      <label for="content">Contenido: </label>
      <textarea [froalaEditor]="froala_options" name="content" id="content" #description="ngModel"
      [(ngModel)]="post.content" class="form-control" required>
      </textarea>
    </div>
    <div class="form-group">
        <angular-file-uploader [config]="afuConfig" [resetUpload]=resetVar (ApiResponse)="imageUpload($event)">
        </angular-file-uploader>
    </div>
    <div class="form-group">
      <button type="submit" class="btn btn-success" [disabled]="newPostForm.form.invalid" >Crear Post</button>
    </div>
  </form>
</div>